package javax.io;
import java.io.*;
import java.nio.channels.*;
public class MyFileSystem{
    public static String getFileType(File file){
        if(!file.isDirectory()){
            String path = file.getAbsolutePath();
            String[] pathArray = path.split("[.]");
            String ending = pathArray[pathArray.length - 1];
            return ending;
        }else{
            return null;
        }
    }
    public static void copy(File from, File to){
        if(from.exists() && to.exists()){
            try{
            if(from.isDirectory()){
                String temp1 = to.getAbsolutePath();
                File tempf = new File(temp1+"\\"+from.getName());
                String temp2 = temp1+"\\"+from.getName();
                tempf.mkdir();
                for(File file : from.listFiles()){
                    if(file != null){
                        if(file.isDirectory()){
                            MyFileSystem.copy(file, tempf);
                        }else{
                            File tempf1 = new File(temp2+"\\"+file.getName());
                            MyFileSystem.copyFile(file, tempf1);
                        }
                    }
                }
            }else{
                File tempf2 = new File(to.getAbsolutePath()+"\\"+from.getName());
                copyFile(from, tempf2);
            }
        }catch(Exception ex){ex.printStackTrace();}
    }
    }
    public static void copyFile(File in, File out) 
        throws IOException 
    {
        FileChannel inChannel = new
            FileInputStream(in).getChannel();
        FileChannel outChannel = new
            FileOutputStream(out).getChannel();
        try {
            inChannel.transferTo(0, inChannel.size(),
                    outChannel);
        } 
        catch (IOException e) {
            throw e;
        }
        finally {
            if (inChannel != null) inChannel.close();
            if (outChannel != null) outChannel.close();
        }
    }
    public static void delete(File file){
        try{
            if(file.exists()){
                if(file.isDirectory()){
                    for(File temp : file.listFiles()){
                        if(temp != null){
                            if(temp.isDirectory()){
                                MyFileSystem.delete(temp);
                            }else{
                                temp.delete();
                            }
                        }
                    }
                    file.delete();
                }else{
                    file.delete();
                }
            }
        }catch(Exception ex){ex.printStackTrace();}
    }
}
