package javax.io.console;
import java.io.*;
/**
 * Diese Klasse stellt Verbindung zu einer Konsole her.
 * <b>!!!Achtung!!!</b>Nur eine Verbindung pro Programm ist gestattet.
 */
public class ConsoleConnector{
private ConsoleConnector concon;
/**
 * Der <code>writer</code> ist fr Ausgaben auf die Kommandozeile geeignet.
 */
static BufferedWriter writer;
/**
 * Liest von der Kommandozeile:
 */
static BufferedReader reader;
/**
 * Liest die Fehlerstrme der Kommandozeile.
 */
static BufferedReader error;
static Process cmd;
/**
 * Reprsentiert den Status einer Verbindung.
 */
static boolean connected = false;
    private ConsoleConnector(){}
    /**
     * Stellt eine Verbindung zur Kommandozeile her.
     */
    public static void connect() throws ConnectionException{
        if(!connected){
            try{
                cmd = Runtime.getRuntime().exec("cmd \n",null);
                writer = new BufferedWriter(new OutputStreamWriter(cmd.getOutputStream()));
                reader = new BufferedReader(new InputStreamReader(cmd.getInputStream()));
                error = new BufferedReader(new InputStreamReader(cmd.getErrorStream()));
                connected = true;
            }catch(Exception ex){ex.printStackTrace();}
        }else{throw new ConnectionException("Command is already running");}
    }
    /**
     * Trennt die Verbindung zur Kommandozeile.
     */
    public static void deconnect() throws ConnectionException{
        if(connected){
            try{
                writer.close();
                reader.close();
                error.close();
                cmd.destroy();
                connected = false;
            }catch(IOException ex){ex.printStackTrace();}
        }else{throw new ConnectionException("No Command to be closed");}
    }
}
